Bug 1168146 (CVE-2014-9091) - CVE-2014-9091 icecast: supplementary groups are not overriden
Summary: CVE-2014-9091 icecast: supplementary groups are not overriden
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-9091
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1168147 1168148 1168149
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-26 09:23 UTC by Martin Prpič
Modified: 2019-09-29 13:24 UTC (History)
1 user (show)

Fixed In Version: icecast 2.4.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:36:35 UTC


Attachments (Terms of Use)

Description Martin Prpič 2014-11-26 09:23:58 UTC
It was found that when the UID and GID were changed in the <changeowner> section of the /etc/icecast.xml file, the supplementary groups were left in place. This could allow an attacker to escalate their privileges if the <changeowner> configuration was used.

The following fix was added to icecast version 2.4.0:

In case of <changeowner> only UID and GID were changed, supplementary groups were left in place. This is a potential security issue only if <changeowner> is used. New behaviour is to set UID, GID and set supplementary groups based on the UID Even in case of icecast remaining in supplementary group 0 this "only" gives it things like access to files that are owned by group 0 and according to their umask. This is obviously bad, but not as bad as UID 0 with all its other special rights. It's a security issue and we fix immediately and recommend users to update.

References:
http://icecast.org/news/icecast-release-2_4_0/
https://trac.xiph.org/changeset/19137/
http://seclists.org/oss-sec/2014/q4/802

Comment 1 Martin Prpič 2014-11-26 09:25:30 UTC
Created icecast tracking bugs for this issue:

Affects: fedora-all [bug 1168147]
Affects: epel-5 [bug 1168148]
Affects: epel-6 [bug 1168149]

Comment 2 Fedora Update System 2014-12-15 04:29:57 UTC
icecast-2.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-12-15 04:37:13 UTC
icecast-2.4.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-12-15 04:37:40 UTC
icecast-2.4.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-12-20 00:14:07 UTC
icecast-2.4.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-12-20 00:15:36 UTC
icecast-2.4.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-08 02:36:35 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.